#ifndef STOPWATCH_H
#define STOPWATCH_H

#include <ctime>

class Stopwatch
{
public:
	Stopwatch()
	{
		reset();
	}
	
	double operator ()() const
	{
		return (clock() - t0) / static_cast<double>(CLOCKS_PER_SEC);
	}
	
	void reset()
	{
		t0 = clock();
	}
	
private:
	clock_t t0;
};

#endif // STOPWATCH_H